'use strict';
angular.module('aom.directives')
  .directive('aomAbout', function (aomResourcesSrv, aomStyleSrv, constants) {
    return {
      scope: {

      },
      controller: function ($scope) {
        $scope.data = {
          resources: aomResourcesSrv.data.resources,
          username: aomResourcesSrv.data.lastUser.Username,
          SQLiteVersion: aomResourcesSrv.data.sqliteVersion,
          appVersion: constants.common.appVersion,
          apiVersion: aomResourcesSrv.data.resources.ApiVersion,
          rowClass: ''
        };

        $scope.data.rowClass = aomStyleSrv.getRowClass();

      },
      templateUrl: 'App/Components/About/about.html'
    };
  });